curl --request GET \
--url https://api.engine.usesophic.com/accounts/{id_or_reference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/accounts/{id_or_reference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/accounts/{id_or_reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bank_payment_reference": "<string>",
"base_currency": "EUR",
"can_deposit": true,
"can_place_buy_order": true,
"can_place_sell_order": true,
"can_withdraw": true,
"created_at": "2023-11-07T05:31:56Z",
"funding_currencies": [
"EUR"
],
"has_deposited": true,
"has_placed_buy_order": true,
"has_placed_sell_order": true,
"has_withdrawn": true,
"id": "<string>",
"is_primary_owner_mifid_pro": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"reference": "<string>",
"status": "active"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Retrieve an account
Retrieve an account by ID or reference.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Reference used to identify bank payments for the account.
Currency used for account valuation.
EUR, USD, GBP Whether deposits are currently allowed.
Whether buy orders are currently allowed.
Whether sell orders are currently allowed.
Whether withdrawals are currently allowed.
Currencies accepted for account funding.
EUR, USD, GBP Whether the account has completed a deposit.
Whether the account has placed a buy order.
Whether the account has placed a sell order.
Whether the account has completed a withdrawal.
Unique resource identifier.
Whether the primary owner is classified as a MiFID professional.
Display name of the account.
Customer-visible account reference.
Current account status.
active, suspended, closing, closed